Đến nội dung


Hình ảnh
- - - - -

MONG BÁC NGUYEN HOANG SUA LÍP ĐANH MAT CẮT NÀY CHO HOÀN THIỆN


  • Please log in to reply
27 replies to this topic

#21 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 April 2011 - 06:05 PM

xin lỗi bạn đã ko nói rõ. mong bạn thong cảm cho. muc đích của lisp của mình là đánh mặt cắt. chức năng của lisp nay la khi mình kích 2 điềm thi no cho mot chu , va mat định là chữ A , neu tiếp đánh thì nó tự động lấy chừ tiếp theo như B,C.... hoặc là tự điền . bạn có thể thử lisp của mình là bạn hiểu. điều mình mún sửa lisp nay để cho hoan thiện thi mình của đã đề cập ở trên rồi. mong bạn có thể hiểu ý mình. mong bạn có thể giúp mình. thanks bạn

Bạn dùng cái này xem. Còn vấn đề chữ bị ngược thì bạn có thể sửa trực tiếp, chứ viết lisp về nó hơi mệt.
http://www.cadviet.c...les/3/mc1_2.lsp
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#22 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 01 May 2011 - 11:41 AM

Bạn dùng cái này xem. Còn vấn đề chữ bị ngược thì bạn có thể sửa trực tiếp, chứ viết lisp về nó hơi mệt.
http://www.cadviet.c...les/3/mc1_2.lsp

rất cảm ơn bạn đã sửa lisp này . rất đúng ý của mình. chỉ còn một cái này là chưa hoàn thiện. bác có thể sửa dùm cho nó hoàn thiện lun. mc này có 4tr hợp. nhung mà th thứ 4 là khi đánh mc kích điểm từ dưới lên thì chữ bị ngược.chữ trong hợp này bạn cho nó về 0 độ là đúng. cảm ơn bạn nhiều
  • 0

#23 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 02 May 2011 - 10:29 AM

Tôi đang giúp bạn Votanphu insert 1 block att nhưng đang bí ở chỗ: không tìm ra được mã DXF xác định góc quay của att (chứ không phải góc quay của block là 50) để hiệu chỉnh. Bác nào biết mong chỉ giùm để giúp người khác cho trọn vẹn.
Nếu chỉ thêm cách tìm mã DXF một cách tổng quát thì quá tốt.
Xin thanks.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 02 May 2011 - 11:02 AM

Bạn nghiên cứu các bài viết bên topic Insert ATT xem có lấy được gì không :)
My link
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 02 May 2011 - 11:03 AM

Tôi đang giúp bạn Votanphu insert 1 block att nhưng đang bí ở chỗ: không tìm ra được mã DXF xác định góc quay của att (chứ không phải góc quay của block là 50) để hiệu chỉnh. Bác nào biết mong chỉ giùm để giúp người khác cho trọn vẹn.
Nếu chỉ thêm cách tìm mã DXF một cách tổng quát thì quá tốt.
Xin thanks.

Mã Dxf xác định góc quay của ATT vẫn là 50
Ví dụ : thay đổi góc quay của thuộc tính đầu tiên của Block
(setq e (car(entsel "\n Pick chon Block")))
(setq e1 (entget (entnext e)))
(entmod(subst (cons 50 (getangle "\n Nhap goc")) (assoc 50 e1) e1))
  • 1

#26 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 02 May 2011 - 11:40 AM

Mã Dxf xác định góc quay của ATT vẫn là 50
Ví dụ : thay đổi góc quay của thuộc tính đầu tiên của Block
(setq e (car(entsel "\n Pick chon Block")))
(setq e1 (entget (entnext e)))
(entmod(subst (cons 50 (getangle "\n Nhap goc")) (assoc 50 e1) e1))

@Tue_NV: thanks bác!
@Votanphu: đã sửa cho bạn rồi đây. Bạn cứ nói thanks những mấy lần mà chẳng bấm cho 1 nút "+" màu xanh ở dưới nên bị buồn 5 phút.
http://www.cadviet.c...les/3/mc1_3.lsp
  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#27 votanphu

votanphu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 02 May 2011 - 11:01 PM

@Tue_NV: thanks bác!
@Votanphu: đã sửa cho bạn rồi đây. Bạn cứ nói thanks những mấy lần mà chẳng bấm cho 1 nút "+" màu xanh ở dưới nên bị buồn 5 phút.
http://www.cadviet.c...les/3/mc1_3.lsp

thanks manh bac DVH đã theo doi va giúp mình tới cùng. hoan hô tinh thần giúp những bạn ko biết . và cung cảm ơn các bạn tue_nv và bạn ketxu đa tham gia. bác chỉnh lại líp này rât đúng ý của mình
  • 0

#28 linh221005

linh221005

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 June 2013 - 04:32 PM

mọi người giúp mình với
mình có 1 lisp này dùng o máy mình ok, nhưng load o máy tính khác thì hiện ra dòng thông báo, ko xài duoc
Invalid option keyword.
; error: Function cancelled
Enter an option
[?/Make/Set/New/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/Freeze/Thaw/LOck/Unlock
/stAte]:
mình gửi file kèm

Bài viết đã được chỉnh sửa nội dung bởi linh221005: 14 June 2013 - 04:35 PM

  • 0